"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildWorkspace = void 0;
var tslib_1 = require("tslib");
var rollup_1 = require("rollup");
var build_config_1 = require("./configs/build.config");
var utils_1 = require("../../shared/utils");
var messages_1 = require("../../shared/messages");
var fs_utils_1 = require("../../shared/utils/fs.utils");
exports.buildWorkspace = function (dir) { return tslib_1.__awaiter(void 0, void 0, void 0, function () {
    var tsconfigJson, packageJson, time, buildConfig, bundle, duration;
    return tslib_1.__generator(this, function (_a) {
        switch (_a.label) {
            case 0: return [4 /*yield*/, fs_utils_1.readTsconfigJson(dir)];
            case 1:
                tsconfigJson = _a.sent();
                return [4 /*yield*/, fs_utils_1.readPackageJson(dir)];
            case 2:
                packageJson = _a.sent();
                return [4 /*yield*/, utils_1.cleanDistFolder()];
            case 3:
                _a.sent();
                time = process.hrtime();
                buildConfig = build_config_1.createBuildConfig({
                    tsconfigJson: tsconfigJson,
                    packageJson: packageJson,
                    displayFilesize: true,
                    runEslint: false,
                    useClosure: false
                });
                console.log(messages_1.buildMessage.bundling(packageJson));
                return [4 /*yield*/, rollup_1.rollup(buildConfig)];
            case 4:
                bundle = _a.sent();
                return [4 /*yield*/, bundle.write(buildConfig.output)];
            case 5:
                _a.sent();
                duration = process.hrtime(time);
                console.log(messages_1.buildMessage.successful(duration));
                return [2 /*return*/];
        }
    });
}); };
