"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FeatureMessages = void 0;
var color_utils_1 = require("../utils/color.utils");
var feature_1 = require("../../setup/feature");
var package_const_1 = require("../constants/package.const");
var FeatureMessages = /** @class */ (function () {
    // eslint-disable-next-line no-empty-function
    function FeatureMessages(featureName) {
        var _this = this;
        this.featureName = featureName;
        this.script = function () { return color_utils_1.inverse(" add " + _this.featureName + " "); };
        this.wrongWorkspace = function () { return "\n    Make sure you run the script " + _this.script() + " from the package workspace.\n    \n    The workspace " + package_const_1.PACKAGE_JSON + " should have:\n        workspace: true;\n          "; };
        this.exists = function () {
            return color_utils_1.error("\n    It seems like you already have this feature.\n        ");
        };
        this.invalidTemplate = function () {
            var highlightedFeatureName = color_utils_1.inverse(" " + _this.featureName + " ");
            return color_utils_1.error("\n    Invalid feature template.\n    Unfortunately, cli doesn't provide " + highlightedFeatureName + " feature template.\n    \n    Available feature templates: [" + Object.keys(feature_1.featureTemplates).join(', ') + "]\n        ");
        };
        this.generating = function () { return "Generating " + color_utils_1.info(_this.featureName) + " feature..."; };
        this.successful = function () { return "Added " + color_utils_1.success(_this.featureName) + " feature template"; };
        this.failed = function () {
            return "Failed to generate " + color_utils_1.error(_this.featureName) + " feature template";
        };
    }
    return FeatureMessages;
}());
exports.FeatureMessages = FeatureMessages;
