"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServeMessages = void 0;
var tslib_1 = require("tslib");
var color_utils_1 = require("../utils/color.utils");
var package_json_1 = tslib_1.__importDefault(require("../../../package.json"));
var ServeMessages = /** @class */ (function () {
    function ServeMessages() {
        this.introduce = function () { return color_utils_1.underline(package_json_1.default.name + " v" + package_json_1.default.version); };
        this.watching = function () { return "\nWatching for changes..."; };
        this.compiling = function () { return "\n" + color_utils_1.info('Compiling modules...'); };
        this.failed = function () { return color_utils_1.error("Failed to compile"); };
        this.compiled = function (isFirstChange) {
            return color_utils_1.success((isFirstChange ? 'Compiled' : 'Recompiled') + " successfully.");
        };
        this.bundles = function (_a) {
            var source = _a.source, module = _a.module;
            return color_utils_1.info("Bundles " + source + " \u2192 " + module);
        };
        this.bundled = function (_a) {
            var isFirstChange = _a.isFirstChange, duration = _a.duration, module = _a.module;
            var _b = (duration / 1000).toString().split('.'), s = _b[0], ms = _b[1];
            return color_utils_1.success((isFirstChange ? 'Created' : 'Updated') + " " + module + " in " + s + "." + ms.slice(0, 3) + "s.");
        };
    }
    return ServeMessages;
}());
exports.ServeMessages = ServeMessages;
