"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var dependency_utils_1 = require("./dependency.utils");
describe('[CLI.Utils] Dependency', function () {
    describe('defineDependencyFlag', function () {
        test('should return default empty string without args', function () {
            expect(dependency_utils_1.defineDependencyFlag()).toBe('');
        });
        test('should return default empty string with empty string args', function () {
            expect(dependency_utils_1.defineDependencyFlag('', '')).toBe('');
        });
        test('should return default empty string with undefined args', function () {
            expect(dependency_utils_1.defineDependencyFlag(undefined, undefined)).toBe('');
        });
        test('should return --dev with dev=true arg and without D', function () {
            expect(dependency_utils_1.defineDependencyFlag(true)).toBe('--dev');
        });
        test('should return --dev with dev=`string` arg and without D', function () {
            expect(dependency_utils_1.defineDependencyFlag('someString')).toBe('--dev');
        });
        test('should return -D with D=true arg and with negative dev', function () {
            expect(dependency_utils_1.defineDependencyFlag(undefined, true)).toBe('-D');
        });
        test('should return -D with dev=true and D=true args', function () {
            expect(dependency_utils_1.defineDependencyFlag(true, true)).toBe('--dev');
        });
        test('should return -D with dev=`string` and D=`string` args', function () {
            expect(dependency_utils_1.defineDependencyFlag('someString', 'someString')).toBe('--dev');
        });
    });
});
